# $Id: Makefile.am 30143 2026-06-25 12:17:11Z yeti-dn $

libgwyddion = $(top_builddir)/libgwyddion/libgwyddion3.la

libgwyui3includedir = $(includedir)/gwyddion3/libgwyui
pkgconfigdatadir = $(libdir)/pkgconfig

normal_public_headers = \
	$(srcdir)/adjust-bar.h \
	$(srcdir)/graph-axis.h \
	$(srcdir)/check-boxes.h \
	$(srcdir)/cairo-utils.h \
	$(srcdir)/color-axis.h \
	$(srcdir)/color-button.h \
	$(srcdir)/color-swatch.h \
	$(srcdir)/color-wheel.h \
	$(srcdir)/color-editor.h \
	$(srcdir)/color-dialog.h \
	$(srcdir)/gradient-swatch.h \
	$(srcdir)/combo-boxes.h \
	$(srcdir)/data-view.h \
	$(srcdir)/data-view-layer.h \
	$(srcdir)/data-window.h \
	$(srcdir)/gwyui.h \
	$(srcdir)/utils.h \
	$(srcdir)/fit-table.h \
	$(srcdir)/correl-table.h \
	$(srcdir)/gl-label.h \
	$(srcdir)/gl-setup.h \
	$(srcdir)/gwyglview.h \
	$(srcdir)/gwyglwindow.h \
	$(srcdir)/grain-value-tree-view.h \
	$(srcdir)/graph-area.h \
	$(srcdir)/graph-corner.h \
	$(srcdir)/graph-curve-dialog.h \
	$(srcdir)/graph-curve-model.h \
	$(srcdir)/graph-curves.h \
	$(srcdir)/graph-data.h \
	$(srcdir)/graph.h \
	$(srcdir)/graph-key.h \
	$(srcdir)/graph-model.h \
	$(srcdir)/graph-window.h \
	$(srcdir)/inventory-store.h \
	$(srcdir)/layer-axis.h \
	$(srcdir)/layer-cross.h \
	$(srcdir)/layer-ellipse.h \
	$(srcdir)/layer-lattice.h \
	$(srcdir)/layer-line.h \
	$(srcdir)/layer-path.h \
	$(srcdir)/layer-point.h \
	$(srcdir)/layer-quad.h \
	$(srcdir)/layer-rectangle.h \
	$(srcdir)/null-store.h \
	$(srcdir)/option-menus.h \
	$(srcdir)/radio-buttons.h \
	$(srcdir)/ruler.h \
	$(srcdir)/sci-text.h \
	$(srcdir)/sensitivity-group.h \
	$(srcdir)/shader.h \
	$(srcdir)/shrink-wrap.h \
	$(srcdir)/icons.h \
	$(srcdir)/vector-layer.h \
	$(srcdir)/cell-renderer-color.h \
	$(srcdir)/cell-renderer-gradient.h \
	$(srcdir)/pixbuf-render.h

libgwyui3include_HEADERS = \
	$(normal_public_headers) \
	types.h

noinst_HEADERS = \
	graph-utils.h \
	layer-utils.h \
	widget-impl-utils.h \
	graph-internal.h \
	graph-axis-dialog.h \
	marshals.h \
	graph-window-measure-dialog.h \
	graph-key-dialog.h

lib_LTLIBRARIES = libgwyui3.la

pkgconfigdata_DATA = libgwyui3.pc

if OS_MSWIN
no_undefined = -no-undefined
export_symbols = -export-symbols libgwyui3.def
libgwyui3_la_DEPENDENCIES = libgwyui3.def
endif

# Must init
EXTRA_DIST = libgwyui3.pc.in
CLEANFILES = libgwyui3.def $(dist_gir_DATA) $(typelib_DATA)
MAINTAINERCLEANFILES =
BUILT_SOURCES =

MKENUM_NAME = types
MKENUM_ID = GWYUI_TYPES
MKENUM_HFILES = $(normal_public_headers)
include $(top_srcdir)/build-aux/mkenum.mk

GENMARSHAL_NAME = marshals
GENMARSHAL_PREFIX = _gwyui_marshal
include $(top_srcdir)/build-aux/genmarshal.mk

libgwyui3.def: $(libgwyui3_la_OBJECTS)
	$(AM_V_GEN)$(PYTHON) $(top_srcdir)/build-aux/gen-library-def.py "$(EU_NM)" $(libgwyui3_la_OBJECTS) >libgwyui3.def

AM_CFLAGS = @GTK_CFLAGS@ @COMMON_CFLAGS@
AM_CPPFLAGS = -I$(top_srcdir) -DG_LOG_DOMAIN=\"LibGwyUI\"

# In following order do:
# Any code change     C:   R++: A
# Any iface change    C++: 0:   A
# Adding ifaces       C:   R:   A++
# Changing ifaces     C:   R:   0
#libversion = -version-info 0:0:0
libversion = -release @LIBRARY_RELEASE@
libgwyui3_la_LDFLAGS = @GTK_LIBS@ @BASIC_LIBS@ -export-dynamic $(no_undefined) $(export_symbols) $(libversion)
libgwyui3_la_LIBADD = $(libgwydraw) $(libgwyddion)

libname = GwyUI
girlibname = $(libname)-$(GWY_VERSION_MAJOR).$(GWY_VERSION_MINOR)
INTROSPECTION_GIRS = $(girlibname).gir
INTROSPECTION_SCANNER_ARGS = \
	--identifier-prefix=Gwy \
	--symbol-prefix=gwy_ \
	-I$(top_srcdir) -I$(top_builddir) \
	$(GOBJECT_INTROSPECTION_SCANNER_FLAGS)
GwyUI_@GWY_GIR_VERSION@_gir_LIBS = $(lib_LTLIBRARIES)
GwyUI_@GWY_GIR_VERSION@_gir_FILES = $(libgwyui3_la_SOURCES) $(libgwyui3include_HEADERS) $(lib_LTLIBRARIES)
GwyUI_@GWY_GIR_VERSION@_gir_INCLUDES = Gtk-3.0
GwyUI_@GWY_GIR_VERSION@_gir_PACKAGES = gtk+-3.0
GwyUI_@GWY_GIR_VERSION@_gir_SCANNERFLAGS = \
	--include-uninstalled=$(top_builddir)/libgwyddion/Gwyddion-$(GWY_VERSION_MAJOR).$(GWY_VERSION_MINOR).gir \
	--library=$(top_builddir)/libgwyddion/libgwyddion3.la
INTROSPECTION_COMPILER_ARGS = \
	--includedir=$(top_builddir)/libgwyddion
girdir = $(datadir)/gir-1.0
typelibdir = $(libdir)/girepository-1.0
if HAVE_INTROSPECTION
dist_gir_DATA = $(INTROSPECTION_GIRS)
typelib_DATA = $(girlibname).typelib
endif

-include $(INTROSPECTION_MAKEFILE)

libgwyui3_la_SOURCES = \
	cairo-utils.c \
	layer-utils.c \
	widget-impl-utils.c \
	cell-renderer-color.c \
	cell-renderer-gradient.c \
	pixbuf-render.c \
	data-view.c \
	data-view-layer.c \
	layer-axis.c \
	layer-cross.c \
	layer-ellipse.c \
	layer-lattice.c \
	layer-line.c \
	layer-point.c \
	layer-path.c \
	layer-quad.c \
	layer-rectangle.c \
	vector-layer.c \
	color-axis.c \
	ruler.c \
	data-window.c \
	graph-curve-model.c \
	graph-model.c \
	graph-utils.c \
	graph-curves.c \
	graph-data.c \
	graph-corner.c \
	graph-axis.c \
	graph-key.c \
	graph-area.c \
	sci-text.c \
	graph-curve-dialog.c \
	graph-axis-dialog.c \
	graph-key-dialog.c \
	graph.c \
	graph-window.c \
	graph-window-measure-dialog.c \
	gl-setup.c \
	gl-label.c \
	gwyglview.c \
	gwyglwindow.c \
	adjust-bar.c \
	shader.c \
	shrink-wrap.c \
	inventory-store.c \
	null-store.c \
	check-boxes.c \
	radio-buttons.c \
	option-menus.c \
	fit-table.c \
	correl-table.c \
	color-swatch.c \
	color-wheel.c \
	color-editor.c \
	color-dialog.c \
	gradient-swatch.c \
	color-button.c \
	combo-boxes.c \
	sensitivity-group.c \
	grain-value-tree-view.c \
	utils.c \
	icons.c \
	gwyui.c \
	marshals.c \
	types.c

clean-local:
	rm -f core.* *~

